Update spec sync options

View as Markdown
Updates the [sync options](https://learning.postman.com/docs/design-apis/specifications/generate-collections/#configure-sync-settings) for a specification's generated collection.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

specIdstringRequired
The spec's ID.
collectionIdstringRequired
The collection's ID.

Request

This endpoint expects an object.
syncOptionsobjectRequired
Information about the specification sync options.

Response

Successful Response
syncOptionsobject
Information about the specification sync options.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error